package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreEngineServerInfo;
import java.util.List;
import java.util.Map;

public interface EngineServerInfoService {
   List<TCoreEngineServerInfo> queryTask(String servername, PageInfo pageInfo);

   void saveEngineServer(Map<String, String> map);

   TCoreEngineServerInfo queryServerByName(String servername);

   TCoreEngineServerInfo queryServerById(String serverid);

   void updateEngineServer(Map<String, String> map);

   void updateEngineServer(TCoreEngineServerInfo updInfo);
}
